Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0004301 [JEDI VCL] 00 JVCL Components feature always 2007-12-03 07:03 2008-07-23 10:40
Reporter dejoy View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status resolved   Product Version Daily / GIT
Summary 0004301: TJvPersistent not support event property correctly.Include fixed files.
Description I found TJvPersistent not support event property correctly.
Create a component and and the component include more the one of published property of TJvPersistent,
and the subpoperty of TJvPersistent have an event property.
Under D5,When you click a event on subproperty of TJvPersistent type property,
that raise an error 'cannot create a default method name for an unnamed component'.
Under D6 and up,If a Component have more the one of TJvPersistent type property,
that when you placed a component to form,will raise an error 'A component named SubComponent already exists.',
because in JvTypes.pas line of "constructor TJvPersistent.Create(AOwner: TComponent)",have those code:
  ...
  Name := 'SubComponent';
  ...
,I have fixed this bugs,so recode some pas files and classes,I donate it now.
rar have include JvJCLUtils and JvJVCLUtils(Mantis 0004294).All pas files is base on lastst SVN version.
Additional Information JvTypes.pas
  Added IInterface and TInterfacedPersistent for D5 and BCB5.
  Fxied:
    TJvPersistentProperty.OnChange rename to OnChanged to correspond with procedure Changed.
    TJvPersistentProperty.OnChangeProperty rename to OnChangedProperty to correspond with procedure ChangedProperty.
    Rewrited TJvPersistent class for d5 and up to show event property on IDE inspector correctly.
  Moved:
    Moved TJvHotTrackOptions from JvExControls.pas to JvTypes.pas.
  Changed:
    Replace TJvPersistentProperty base class from TPersistent to TJvPersistent.
JvExControls.pas
  Split TJvHotTrackOptions to new JvHotTrackPersistent.pas.
JvPanel.pas
    Applay FArrangeSettings.OnChangeProperty to OnChangedProperty.
JvHotTrackPersistent.pas --New pas
    Added a new class TJvHotTrackPersistent.
JvButtonPersistent.pas
  Repace TJvButtonPersistent parent class with TJvCustomHotTrackPersistent.
JvVCL5Utils.pas
  Moved IInterface and TInterfacedPersistent declaration to JvTypes.pas.
JvJCLUtils.pas
  add function EmptyRect: TRect;
  Fixed and enganced RectSquare(); //important !!
JvJVCLUtils.pas
  added:
  function RectClientToScreen; // not equal to TControl.ClientToParent
  function RectScreenToClient;
  function MapControlRect;
  function MapControlPoint;
  function GetControlRect;
  function GetControlScreenRect;// not equal to TControl.ClientRect

  function GetTopOwner;
  function GetTopForm;

  moved:
  function IsChildWindow from JvDropDownForm.pas to JvJVCLUtils.pas
JvDsgnEditors.pas
  Added event property editor TJvPersistentNestedElementEventProperty for D5.
  Added TJvPersistent property editor TJvPersistentPropertyEditor for D5 and up
  (The old TJvPersistentProperty for d5 is not correctly and deleted).
JvCoreReg
  Register Property Editor of TJvPersistentPropertyEditor for all TJvPersistent to support event.
  
Other pas file is changed to to correspond with TJvPersistent(TJvPersistentProperty).
Tags No tags attached.
Attached Files rar file icon NewJVCL_On_SVN2007-12-2.rar [^] (167,773 bytes) 2007-12-11 02:28
rar file icon TestCmp.rar [^] (16,639 bytes) 2007-12-11 03:06
rar file icon Fixd_and_Error_pic.part1.rar [^] (450,000 bytes) 2007-12-11 03:09
rar file icon Fixd_and_Error_pic.part2.rar [^] (422,846 bytes) 2007-12-11 03:10

- Relationships
has duplicate 0004312resolvedobones TJvPersistent not support event property correctly. Upload packed file. 

-  Notes
(0014039)
dejoy (reporter)
2007-12-03 07:13
edited on: 2007-12-03 07:36

It's seems the tracker is not work correctly, i can't upload any files,i will try to upload snap pic and fixed files later.
or who can give me a way to upload files.

(0014043)
dejoy (reporter)
2007-12-07 07:50

This system can't upload file yet!
I had upload file to a net share disk,the url is
http://pickup.mofile.com/8735178442205936 [^] , file name is NewJVCL_Pack.rar,
you can download from here.
All files tested for d5,d9-d11 both ok.
(0014046)
obones (administrator)
2007-12-10 04:05

I get a timeout from the site you've given. Please send me the file directly
(0014047)
dejoy (reporter)
2007-12-10 06:25

I know have a long time this issue,I want to send files to you(Tracker) directly,
but the Project JEDI - Issue Tracker's upload file function not work! Do you ?
otherwise it will not to find another net share disk!
(0014048)
obones (administrator)
2007-12-11 02:29

Your file was too big. I know, the limit says 5000k, but it's more like 700k
Anyway, I only uploaded the modified files and that worked.
(0014049)
dejoy (reporter)
2007-12-11 03:11

Oh,So that's how it is! Thank you to do this!
I will split file under 500k to upload next time.
I have not authorization to update to SVN,so can you do this?
(0014051)
obones (administrator)
2007-12-11 08:25

I'll do this later on, after review.
(0014288)
dejoy (reporter)
2008-03-10 09:17

nobody to update to svn yet ?!
(0014448)
obones (administrator)
2008-07-23 10:40

Thanks, this is now in SVN.

- Issue History
Date Modified Username Field Change
2007-12-03 07:03 dejoy New Issue
2007-12-03 07:12 dejoy Note Added: 0014037
2007-12-03 07:12 dejoy Note Added: 0014038
2007-12-03 07:13 dejoy Note Added: 0014039
2007-12-03 07:14 dejoy Note Deleted: 0014037
2007-12-03 07:14 dejoy Note Deleted: 0014038
2007-12-03 07:36 dejoy Note Edited: 0014039
2007-12-07 07:50 dejoy Note Added: 0014043
2007-12-10 04:05 obones Note Added: 0014046
2007-12-10 04:05 obones Status new => feedback
2007-12-10 06:25 dejoy Note Added: 0014047
2007-12-11 02:28 obones File Added: NewJVCL_On_SVN2007-12-2.rar
2007-12-11 02:29 obones Note Added: 0014048
2007-12-11 03:06 dejoy File Added: TestCmp.rar
2007-12-11 03:09 dejoy File Added: Fixd_and_Error_pic.part1.rar
2007-12-11 03:10 dejoy File Added: Fixd_and_Error_pic.part2.rar
2007-12-11 03:11 dejoy Note Added: 0014049
2007-12-11 08:18 obones Note Added: 0014050
2007-12-11 08:24 obones Note Deleted: 0014050
2007-12-11 08:25 obones Note Added: 0014051
2008-02-20 09:11 obones Relationship added has duplicate 0004312
2008-03-10 09:17 dejoy Note Added: 0014288
2008-07-23 07:13 obones Status feedback => assigned
2008-07-23 07:13 obones Assigned To => obones
2008-07-23 10:40 obones Status assigned => resolved
2008-07-23 10:40 obones Fixed in Version => Daily / SVN
2008-07-23 10:40 obones Resolution open => fixed
2008-07-23 10:40 obones Note Added: 0014448


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker